Bug 219957 - Review Request: perl-Pod-Strip - Remove POD from Perl code
Summary: Review Request: perl-Pod-Strip - Remove POD from Perl code
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-12-17 18:33 UTC by Jose Pedro Oliveira
Modified: 2012-03-24 19:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-12-18 15:59:02 UTC
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2006-12-17 18:33:00 UTC
Spec URL: ftp://perl.di.uminho.pt/pub/fedora/perl-Pod-Strip.spec

SRPM URL:
ftp://perl.di.uminho.pt/pub/fedora/perl-Pod-Strip-1.02-1.src.rpm

Description:
Pod::Strip is a subclass of Pod::Simple that strips all POD from Perl Code.

Note: this module will help improving the test coverage of Perl::Critic
(Module::ExtractUse --> Module::CPANTS::Analyse --> Test::Kawlitee --> Perl::Critic)

Comment 1 Parag AN(पराग) 2006-12-18 05:08:18 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMS.
+ source files match upstream.
b5ac7b0e68d8d44bd737f1ba71aaee3f  Pod-Strip-1.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ ./Build test
t/00_load.....................ok
t/10_strip....................ok
t/11_replace_with_comments....ok
t/99_pod......................ok
t/99_pod_coverage.............ok
All tests successful.
Files=5, Tests=9,  0 wallclock secs ( 0.35 cusr +  0.06 csys =  0.41 CPU)

+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.

Comment 2 Jose Pedro Oliveira 2006-12-18 15:59:02 UTC
Thanks for the review.

Package imported and built for FC-5, FC-6, and devel.

Comment 3 Mark Chappell 2010-07-01 12:59:05 UTC
Package Change Request
======================
Package Name: perl-Pod-Strip
New Branches: EL-6
Owners: tremble    

https://bugzilla.redhat.com/show_bug.cgi?id=609807
+
IRC : 
13:42 <marca_> do you need my help or can you take them in EPEL?
13:42 <tremble> I'm quite happy to take them in EPEL, just need your approval as the Fedora owner
13:43 <marca_> ok, so I only write into bz comment
13:43 <tremble> Ok
13:44 <tremble> Would you prefer to be in there as a co-owner or would you rather just leave the EL branches to me?
13:45  * tremble thanks you.
13:45 <marca_> no, I don't have time for EL. Take it

Comment 4 Jason Tibbitts 2010-07-01 17:32:39 UTC
CVS done (by process-cvs-requests.py).

I'm going on the assumption that "marca_" in the logs is mmaslano, even though
fas has the nick listed as "marcela".

Comment 5 Paul Howarth 2012-03-05 14:10:04 UTC
Hi Marcela,

could I have an EL-5 branch for this please? I'm happy to maintain it myself as you say you don't have time for EL.

Comment 6 Marcela Mašláňová 2012-03-07 10:11:42 UTC
Package Change Request
======================
Package Name: perl-Pod-Strip
New Branches: EL-5
Owners: pghmcfc
InitialCC: perl-sig

[I don't want own it. I'd rather asked for branch for Paul myself to avoid confusion from my nicknames.]

Comment 7 Gwyn Ciesla 2012-03-07 12:56:07 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2012-03-07 13:07:33 UTC
perl-Pod-Strip-1.02-11.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Pod-Strip-1.02-11.el5

Comment 9 Fedora Update System 2012-03-24 19:06:32 UTC
perl-Pod-Strip-1.02-11.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.